- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#body.FindSaasUsageReportsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#body.aspect)
- [SaasUsageReport](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#SaasUsageReport)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#SaasUsageReport.SCHEMA_REPRESENTATION)
- [ContentTransferDetails](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#ContentTransferDetails)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#ContentTransferDetails.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#try-it)

Find SaaS usage reports of a customer based on the given search and sorting criteria.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:findSaasUsage`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Obfuscated customer ID prefixed with "customers/C" or "customers/my_customer". |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of reports to return. The service may return fewer than this value. If unspecified, at most 100 reports will be returned. The maximum value is 200; values above 200 will be coerced to 200. |
| `pageToken` | `string` Optional. A page token, received from a previous `FindSaasUsageReports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `FindSaasUsageReports` must match the call that provided the page token. |
| `filter` | `string` Optional. The filter expression to narrow down the SaaS reports to return. Supported operators are: =, !=, \<, \<=, \>, \>=, :. Logical operators AND, OR, and NOT are supported. Supported fields: - app - orgUnitId - firstNavigationTime - lastNavigationTime - category - organization - foundedYear - headquarters - primaryDomain - domains - encryptionProtocols - visitsCount - distinctUsersCount - distinctBrowsersCount - contentTransferCount Example: `(firstNavigationTime < "2026-01-31T00:00:00Z" AND lastNavigationTime > "2026-01-01T00:00:00Z") AND visitsCount > 100` |
| `orderBy` | `string` Optional. The order by expression to sort the SaaS reports. Supported fields: - app - category - organization - foundedYear - headquarters - primaryDomain - visitsCount - distinctUsersCount - distinctBrowsersCount - contentTransferCount Default order is ascending. To specify descending order for a field, append " desc". Example: `visitsCount desc` |

### Request body

The request body must be empty.

### Response body

Response to `reports.findSaasUsage` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "saasReports": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#SaasUsageReport`) } ], "nextPageToken": string, "totalSize": string } ``` |

| Fields ||
|---|---|
| `saasReports[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#SaasUsageReport`)`` The list of SaaS usage reports. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `string (https://developers.google.com/discovery/v1/type-format format)` Total number of SaaS usage reports that match the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## SaasUsageReport

Represents a single SaaS report entry.

| JSON representation |
|---|
| ``` { "app": string, "orgUnitId": string, "category": string, "organization": string, "foundedYear": integer, "headquarters": string, "primaryDomain": string, "domains": [ string ], "encryptionProtocols": [ string ], "visitsCount": string, "distinctUsersCount": string, "distinctBrowsersCount": string, "contentTransferDetails": { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#ContentTransferDetails`) }, "firstNavigationTime": string, "lastNavigationTime": string } ``` |

| Fields ||
|---|---|
| `app` | `string` Output only. The name of the application. |
| `orgUnitId` | `string` Output only. The ID of the organizational unit. |
| `category` | `string` Output only. The category of the application. |
| `organization` | `string` Output only. The organization that develops the application. |
| `foundedYear` | `integer` Output only. The year the organization was founded. |
| `headquarters` | `string` Output only. The headquarters location of the organization. |
| `primaryDomain` | `string` Output only. The primary domain of the application. |
| `domains[]` | `string` Output only. A list of domains and subdomains associated with the application. |
| `encryptionProtocols[]` | `string` Output only. A list of encryption protocols used to access the application. |
| `visitsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Total number of visits to the application. |
| `distinctUsersCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Number of distinct users who visited the application. |
| `distinctBrowsersCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Number of distinct browsers that visited the application. |
| `contentTransferDetails` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/findSaasUsage#ContentTransferDetails`)`` Output only. Provides information about content transfer events, if available. |
| `firstNavigationTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The timestamp when the application was first navigated to. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `lastNavigationTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The timestamp when the application was last navigated to. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

## ContentTransferDetails

Provides information about content transfer events, if available.

| JSON representation |
|---|
| ``` { "contentTransferCount": string } ``` |

| Fields ||
|---|---|
| `contentTransferCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Total number of content transfers associated with the application. |